/*
 * Awake File: Easy file upload & download through HTTP with Java
 * Awake SQL: Remote JDBC access through HTTP.                                    
 * Copyright (C) 2012, Kawan Softwares S.A.S.
 * (http://www.awakeframework.org). All rights reserved.                                
 *                                                                               
 * Awake File/SQL is free software; you can redistribute it and/or                 
 * modify it under the terms of the GNU Lesser General Public                    
 * License as published by the Free Software Foundation; either                  
 * version 2.1 of the License, or (at your option) any later version.            
 *                                                                               
 * Awake File/SQL is distributed in the hope that it will be useful,               
 * but WITHOUT ANY WARRANTY; without even the implied warranty of                
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU             
 * Lesser General Public License for more details.                               
 *                                                                               
 * You should have received a copy of the GNU Lesser General Public              
 * License along with this library; if not, write to the Free Software           
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  
 * 02110-1301  USA
 *
 * Any modifications to this file must keep this entire header
 * intact.
 */

//13/12/12 17:00 NDP : JdbcDriverConstants class creation

package org.awakefw.commons.server.util.embed;

/**
 * @author Nicolas de Pomereu
 *
 * Constants for JDBC Driver
 *
 */
public class JdbcDriverConstants {

    public static String DRIVER_CLASS_NAME = "driverClassName";
    public static String URL = "url";
    public static String USERNAME = "username";
    public static String PASSWORD = "password";
    public static String MIN_CONNS = "minConns";
    public static String MAX_CONNS = "maxConns";
    public static String MAX_CONN_TIME = "maxConnTime";
    public static String MAXCHECKOUTSECONDS = "maxCheckoutSeconds";
    public static String LOG_APPEND = "logAppend";
    public static String LOG_FILE = "logFile";

    /**
     * No instantiation
     */
    private JdbcDriverConstants() {

    }

}
